diff -Nru curl-7.21.0/debian/changelog curl-7.21.0/debian/changelog
--- curl-7.21.0/debian/changelog	2013-11-16 13:16:01.000000000 +0100
+++ curl-7.21.0/debian/changelog	2013-11-19 17:40:46.000000000 +0100
@@ -1,3 +1,10 @@
+curl (7.21.0-2.1+squeeze6) oldstable-security; urgency=low
+
+  * Disable host verification too when using the --insecure option
+    (Closes: #729965)
+
+ -- Alessandro Ghedini <ghedo@debian.org>  Tue, 19 Nov 2013 17:29:46 +0100
+
 curl (7.21.0-2.1+squeeze5) oldstable-security; urgency=high
 
   * Fix OpenSSL checking of a certificate CN or SAN name field when the
diff -Nru curl-7.21.0/debian/patches/disable-verifyhost-with-insecure.patch curl-7.21.0/debian/patches/disable-verifyhost-with-insecure.patch
--- curl-7.21.0/debian/patches/disable-verifyhost-with-insecure.patch	1970-01-01 01:00:00.000000000 +0100
+++ curl-7.21.0/debian/patches/disable-verifyhost-with-insecure.patch	2013-11-19 17:40:46.000000000 +0100
@@ -0,0 +1,18 @@
+Description: Disable host verification too when the --insecure option is used
+Origin: vendor
+Bug-Debian: http://bug.debian.org/729965
+Forwarded: not-needed
+Author: Alessandro Ghedini <ghedo@debian.org>
+Last-Update: 2013-11-19
+
+--- a/src/main.c
++++ b/src/main.c
+@@ -5106,7 +5106,7 @@
+         if(config->insecure_ok) {
+           /* new stuff needed for libcurl 7.10 */
+           my_setopt(curl, CURLOPT_SSL_VERIFYPEER, FALSE);
+-          my_setopt(curl, CURLOPT_SSL_VERIFYHOST, 1);
++          my_setopt(curl, CURLOPT_SSL_VERIFYHOST, FALSE);
+         }
+         else {
+           char *home = homedir();
diff -Nru curl-7.21.0/debian/patches/series curl-7.21.0/debian/patches/series
--- curl-7.21.0/debian/patches/series	2013-11-16 13:16:01.000000000 +0100
+++ curl-7.21.0/debian/patches/series	2013-11-19 17:40:46.000000000 +0100
@@ -12,6 +12,7 @@
 test1218-another-cookie-tailmatch-test
 CVE-2013-2174.patch
 CVE-2013-4545.patch
+disable-verifyhost-with-insecure.patch
 
 # this must be the last
 curl_links_with_rt
